Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.persistence
Class FullTextHibernateSessionProxy

    java.lang.Object
      org.jboss.seam.persistence.HibernateSessionProxy
          org.jboss.seam.persistence.FullTextHibernateSessionProxy

All Implemented Interfaces:
  Serializable, org.hibernate.engine.SessionImplementor, org.hibernate.event.EventSource, org.hibernate.search.FullTextSession, org.hibernate.Session

    public class FullTextHibernateSessionProxy

extends HibernateSessionProxy
implements org.hibernate.search.FullTextSession

Wraps a Hibernate Search session

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`FullTextHibernateSessionProxy(org.hibernate.search.FullTextSession fullTextSession)`

Method Summary
`org.hibernate.search.FullTextQuery` | `createFullTextQuery(org.apache.lucene.search.Query arg0, Class... arg1)`
`org.hibernate.Query` | `createSQLQuery(String arg0, String[] arg1, Class[] arg2)`
`org.hibernate.Query` | `createSQLQuery(String arg0, String arg1, Class arg2)`
`int` | `delete(String arg0)`
`int` | `delete(String arg0, Object[] arg1, org.hibernate.type.Type[] arg2)`
`int` | `delete(String arg0, Object arg1, org.hibernate.type.Type arg2)`
`Collection` | `filter(Object arg0, String arg1)`
`Collection` | `filter(Object arg0, String arg1, Object[] arg2, org.hibernate.type.Type[] arg3)`
`Collection` | `filter(Object arg0, String arg1, Object arg2, org.hibernate.type.Type arg3)`
`List` | `find(String arg0)`
`List` | `find(String arg0, Object[] arg1, org.hibernate.type.Type[] arg2)`
`List` | `find(String arg0, Object arg1, org.hibernate.type.Type arg2)`
`org.hibernate.search.SearchFactory` | `getSearchFactory()`
`void` | `index(Object arg0)`
`Iterator` | `iterate(String arg0)`
`Iterator` | `iterate(String arg0, Object[] arg1, org.hibernate.type.Type[] arg2)`
`Iterator` | `iterate(String arg0, Object arg1, org.hibernate.type.Type arg2)`
`void` | `purge(Class aClass, Serializable serializable)`
`void` | `purgeAll(Class aClass)`
`void` | `save(Object arg0, Serializable arg1)`
`void` | `save(String arg0, Object arg1, Serializable arg2)`
`Object` | `saveOrUpdateCopy(Object arg0)`
`Object` | `saveOrUpdateCopy(Object arg0, Serializable arg1)`
`Object` | `saveOrUpdateCopy(String arg0, Object arg1)`
`Object` | `saveOrUpdateCopy(String arg0, Object arg1, Serializable arg2)`
`void` | `update(Object arg0, Serializable arg1)`
`void` | `update(String arg0, Object arg1, Serializable arg2)`

Methods inherited from class org.jboss.seam.persistence.HibernateSessionProxy
`afterScrollOperation, afterTransactionCompletion, beforeTransactionCompletion, beginTransaction, bestGuessEntityName, cancelQuery, clear, close, connection, contains, createCriteria, createCriteria, createCriteria, createCriteria, createFilter, createQuery, createSQLQuery, delete, delete, delete, disableFilter, disconnect, enableFilter, evict, executeNativeUpdate, executeUpdate, flush, forceFlush, get, get, get, get, getActionQueue, getBatcher, getCacheMode, getContextEntityIdentifier, getCurrentLockMode, getDontFlushFromFind, getEnabledFilter, getEnabledFilters, getEntityMode, getEntityName, getEntityPersister, getEntityUsingInterceptor, getFactory, getFetchProfile, getFilterParameterType, getFilterParameterValue, getFlushMode, getIdentifier, getInterceptor, getJDBCContext, getListeners, getNamedQuery, getNamedSQLQuery, getPersistenceContext, getSession, getSessionFactory, getStatistics, getTimestamp, getTransaction, guessEntityName, immediateLoad, initializeCollection, instantiate, instantiate, internalLoad, isClosed, isConnected, isDirty, isEventSource, isOpen, isTransactionInProgress, iterate, iterateFilter, list, list, list, listCustomQuery, listFilter, load, load, load, load, load, lock, lock, merge, merge, merge, persist, persist, persist, persistOnFlush, reconnect, reconnect, refresh, refresh, refresh, replicate, replicate, save, save, saveOrUpdate, saveOrUpdate, saveOrUpdateCopy, scroll, scroll, scroll, scrollCustomQuery, setAutoClear, setCacheMode, setFetchProfile, setFlushMode, setReadOnly, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.Session
`beginTransaction, cancelQuery, clear, close, connection, contains, createCriteria, createCriteria, createCriteria, createCriteria, createFilter, createQuery, createSQLQuery, delete, delete, disableFilter, disconnect, enableFilter, evict, flush, get, get, get, get, getCacheMode, getCurrentLockMode, getEnabledFilter, getEntityMode, getEntityName, getFlushMode, getIdentifier, getNamedQuery, getSession, getSessionFactory, getStatistics, getTransaction, isConnected, isDirty, isOpen, load, load, load, load, load, lock, lock, merge, merge, persist, persist, reconnect, reconnect, refresh, refresh, replicate, replicate, save, save, saveOrUpdate, saveOrUpdate, setCacheMode, setFlushMode, setReadOnly, update, update`

Constructor Detail

### FullTextHibernateSessionProxy

    public FullTextHibernateSessionProxy(org.hibernate.search.FullTextSession fullTextSession)

Method Detail

### index

    public void index(Object arg0)

  Specified by:
    `index` in interface `org.hibernate.search.FullTextSession`

### createFullTextQuery

    public org.hibernate.search.FullTextQuery createFullTextQuery(org.apache.lucene.search.Query arg0,
                                                                  Class... arg1)

  Specified by:
    `createFullTextQuery` in interface `org.hibernate.search.FullTextSession`

### createSQLQuery

    public org.hibernate.Query createSQLQuery(String arg0,
                                              String arg1,
                                              Class arg2)

### createSQLQuery

    public org.hibernate.Query createSQLQuery(String arg0,
                                              String[] arg1,
                                              Class[] arg2)

### delete

    public int delete(String arg0,
                      Object arg1,
                      org.hibernate.type.Type arg2)
               throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### delete

    public int delete(String arg0,
                      Object[] arg1,
                      org.hibernate.type.Type[] arg2)
               throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### delete

    public int delete(String arg0)
               throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### filter

    public Collection filter(Object arg0,
                             String arg1,
                             Object arg2,
                             org.hibernate.type.Type arg3)
                      throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### filter

    public Collection filter(Object arg0,
                             String arg1,
                             Object[] arg2,
                             org.hibernate.type.Type[] arg3)
                      throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### filter

    public Collection filter(Object arg0,
                             String arg1)
                      throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### find

    public List find(String arg0,
                     Object arg1,
                     org.hibernate.type.Type arg2)
              throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### find

    public List find(String arg0,
                     Object[] arg1,
                     org.hibernate.type.Type[] arg2)
              throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### find

    public List find(String arg0)
              throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### getSearchFactory

    public org.hibernate.search.SearchFactory getSearchFactory()

  Specified by:
    `getSearchFactory` in interface `org.hibernate.search.FullTextSession`

### purge

    public void purge(Class aClass,
                      Serializable serializable)

  Specified by:
    `purge` in interface `org.hibernate.search.FullTextSession`

### purgeAll

    public void purgeAll(Class aClass)

  Specified by:
    `purgeAll` in interface `org.hibernate.search.FullTextSession`

### iterate

    public Iterator iterate(String arg0,
                            Object arg1,
                            org.hibernate.type.Type arg2)
                     throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### iterate

    public Iterator iterate(String arg0,
                            Object[] arg1,
                            org.hibernate.type.Type[] arg2)
                     throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### iterate

    public Iterator iterate(String arg0)
                     throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### save

    public void save(Object arg0,
                     Serializable arg1)
              throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### save

    public void save(String arg0,
                     Object arg1,
                     Serializable arg2)
              throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### saveOrUpdateCopy

    public Object saveOrUpdateCopy(Object arg0,
                                   Serializable arg1)
                            throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### saveOrUpdateCopy

    public Object saveOrUpdateCopy(Object arg0)
                            throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### saveOrUpdateCopy

    public Object saveOrUpdateCopy(String arg0,
                                   Object arg1,
                                   Serializable arg2)
                            throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### saveOrUpdateCopy

    public Object saveOrUpdateCopy(String arg0,
                                   Object arg1)
                            throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### update

    public void update(Object arg0,
                       Serializable arg1)
                throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### update

    public void update(String arg0,
                       Object arg1,
                       Serializable arg2)
                throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD